# start of do file

################################################################################
# CLASS DEFINITIONS                                                            #
################################################################################
define (class _difpr_CM_REF_INPUT CM_REF_INPUT_P CM_REF_INPUT_N )
#forget class _difpr_CM_REF_INPUT

define (class _difpr_CM_LO_EXT_INPUT CM_LO_EXT_INPUT_P CM_LO_EXT_INPUT_N )
#forget class _difpr_CM_LO_EXT_INPUT

define (class _difpr_LOVCO_OUTPUT_BALANCED LOVCO_OUTPUT_BALANCED_P LOVCO_OUTPUT_BALANCED_N )
#forget class _difpr_LOVCO_OUTPUT_BALANCED

define (class _difpr_CM_LO_OUTPUT CM_LO_OUTPUT_P CM_LO_OUTPUT_N )
#forget class _difpr_CM_LO_OUTPUT

define (class _difpr_CLKPLL_REF_INPUT CLKPLL_REF_INPUT_P CLKPLL_REF_INPUT_N )
#forget class _difpr_CLKPLL_REF_INPUT

define (class _difpr_CLKPLL_VCO_INPUT CLKPLL_VCO_INPUT_P CLKPLL_VCO_INPUT_N )
#forget class _difpr_CLKPLL_VCO_INPUT

define (class _difpr_CM_CLK_EXT_INPUT CM_CLK_EXT_INPUT_P CM_CLK_EXT_INPUT_N )
#forget class _difpr_CM_CLK_EXT_INPUT

define (class _difpr_CLKVCO_OUTPUT_BALANCED CLKVCO_OUTPUT_BALANCED_P CLKVCO_OUTPUT_BALANCED_N )
#forget class _difpr_CLKVCO_OUTPUT_BALANCED

define (class _difpr_CM_CLK_OUTPUT CM_CLK_OUTPUT_P CM_CLK_OUTPUT_N )
#forget class _difpr_CM_CLK_OUTPUT

define (class _difpr_LOPLL_REF_INPUT LOPLL_REF_INPUT_P LOPLL_REF_INPUT_N )
#forget class _difpr_LOPLL_REF_INPUT

define (class _difpr_LOPLL_VCO_INPUT LOPLL_VCO_INPUT_P LOPLL_VCO_INPUT_N )
#forget class _difpr_LOPLL_VCO_INPUT


################################################################################
# PAIR DEFINITIONS                                                             #
################################################################################
define (pair (nets CLKPLL_VCO_INPUT_P CLKPLL_VCO_INPUT_N ))
#forget pair (nets CLKPLL_VCO_INPUT_P CLKPLL_VCO_INPUT_N)

define (pair (nets CLKPLL_REF_INPUT_P CLKPLL_REF_INPUT_N ))
#forget pair (nets CLKPLL_REF_INPUT_P CLKPLL_REF_INPUT_N)

define (pair (nets CM_LO_OUTPUT_P CM_LO_OUTPUT_N ))
#forget pair (nets CM_LO_OUTPUT_P CM_LO_OUTPUT_N)

define (pair (nets LOVCO_OUTPUT_BALANCED_P LOVCO_OUTPUT_BALANCED_N ))
#forget pair (nets LOVCO_OUTPUT_BALANCED_P LOVCO_OUTPUT_BALANCED_N)

define (pair (nets CM_LO_EXT_INPUT_P CM_LO_EXT_INPUT_N ))
#forget pair (nets CM_LO_EXT_INPUT_P CM_LO_EXT_INPUT_N)

define (pair (nets CM_REF_INPUT_P CM_REF_INPUT_N ))
#forget pair (nets CM_REF_INPUT_P CM_REF_INPUT_N)

define (pair (nets LOPLL_VCO_INPUT_P LOPLL_VCO_INPUT_N ))
#forget pair (nets LOPLL_VCO_INPUT_P LOPLL_VCO_INPUT_N)

define (pair (nets LOPLL_REF_INPUT_P LOPLL_REF_INPUT_N ))
#forget pair (nets LOPLL_REF_INPUT_P LOPLL_REF_INPUT_N)

define (pair (nets CM_CLK_OUTPUT_P CM_CLK_OUTPUT_N ))
#forget pair (nets CM_CLK_OUTPUT_P CM_CLK_OUTPUT_N)

define (pair (nets CLKVCO_OUTPUT_BALANCED_P CLKVCO_OUTPUT_BALANCED_N ))
#forget pair (nets CLKVCO_OUTPUT_BALANCED_P CLKVCO_OUTPUT_BALANCED_N)

define (pair (nets CM_CLK_EXT_INPUT_P CM_CLK_EXT_INPUT_N ))
#forget pair (nets CM_CLK_EXT_INPUT_P CM_CLK_EXT_INPUT_N)

################################################################################
# LAYERSET DEFINITIONS                                                         #
################################################################################

################################################################################
# CLEARANCE RULES                                                              #
################################################################################
# rule assignments for PCB clearances                                          #
################################################################################
rule PCB (width 10)
rule PCB (clearance 5 (type buried_via_gap))
rule PCB (clearance 9 (type wire_wire))
rule PCB (clearance 9 (type wire_smd))
rule PCB (clearance 9 (type wire_pin))
rule PCB (clearance 9 (type wire_via))
rule PCB (clearance 7.50 (type smd_smd))
rule PCB (clearance 7.50 (type smd_pin))
rule PCB (clearance 5 (type smd_via))
rule PCB (clearance 8 (type pin_pin))
rule PCB (clearance 5 (type pin_via))
rule PCB (clearance 5 (type via_via))
rule PCB (clearance 5 (type test_test))
rule PCB (clearance 9 (type test_wire))
rule PCB (clearance 5 (type test_smd))
rule PCB (clearance 5 (type test_pin))
rule PCB (clearance 5 (type test_via))
rule PCB (clearance 0 (type area_wire))
rule PCB (clearance 0 (type area_smd))
rule PCB (clearance 0 (type area_area))
rule PCB (clearance 0 (type area_pin))
rule PCB (clearance 0 (type area_via))
rule PCB (clearance 0 (type area_test))

rule PCB (clearance 5 (type microvia_microvia))
set microvia_microvia on
rule PCB (clearance 5 (type microvia_thrupin))
set microvia_thrupin on
rule PCB (clearance 5 (type microvia_smdpin))
set microvia_smdpin on
rule PCB (clearance 5 (type microvia_thruvia))
set microvia_thruvia on
rule PCB (clearance 5 (type microvia_bbvia))
set microvia_bbvia on
rule PCB (clearance 9 (type microvia_wire))
set microvia_wire on
rule PCB (clearance 5 (type bbvia_bbvia))
set bbvia_bbvia on
rule PCB (clearance 5 (type microvia_testpin))
set microvia_testpin on
rule PCB (clearance 5 (type bbvia_thrupin))
set bbvia_thrupin on
rule PCB (clearance 5 (type microvia_testvia))
set microvia_testvia on
rule PCB (clearance 5 (type bbvia_smdpin))
set bbvia_smdpin on
rule PCB (clearance 5 (type microvia_bondpad))
set microvia_bondpad on
rule PCB (clearance 5 (type bbvia_thruvia))
set bbvia_thruvia on
rule PCB (clearance 15 (type microvia_area))
set microvia_area on
rule PCB (clearance 9 (type bbvia_wire))
set bbvia_wire on
rule PCB (clearance 7.99 (type nhole_pin))
set nhole_pin off
rule PCB (clearance 7.99 (type nhole_via))
set nhole_via off
rule PCB (clearance 10 (type bbvia_area))
set bbvia_area on
rule PCB (clearance 8.99 (type nhole_wire))
set nhole_wire off
rule PCB (clearance 10 (type nhole_area))
set nhole_area on
rule PCB (clearance 7.99 (type nhole_nhole))
set nhole_nhole off
rule PCB (clearance 0 (type mhole_pin))
set mhole_pin off
rule PCB (clearance 5 (type bbvia_testpin))
set bbvia_testpin on
rule PCB (clearance 0 (type mhole_via))
set mhole_via off
rule PCB (clearance 5 (type bbvia_testvia))
set bbvia_testvia on
rule PCB (clearance 0 (type mhole_wire))
set mhole_wire off
rule PCB (clearance 0 (type mhole_area))
set mhole_area off
rule PCB (clearance 0 (type mhole_nhole))
set mhole_nhole off
rule PCB (clearance 0 (type mhole_mhole))
set mhole_mhole off
rule PCB (clearance 5 (type bbvia_bondpad))
set bbvia_bondpad on

################################################################################
# rule assignments for class clearances                                        #
################################################################################
rule class _difpr_CM_REF_INPUT (width 8)
rule class _difpr_CM_REF_INPUT (clearance 7 (type wire_wire))
rule class _difpr_CM_REF_INPUT (clearance 7 (type wire_smd))
rule class _difpr_CM_REF_INPUT (clearance 8 (type wire_pin))
rule class _difpr_CM_REF_INPUT (clearance 7 (type wire_via))
rule class _difpr_CM_LO_EXT_INPUT (width 8)
rule class _difpr_CM_LO_EXT_INPUT (clearance 7 (type wire_wire))
rule class _difpr_CM_LO_EXT_INPUT (clearance 7 (type wire_smd))
rule class _difpr_CM_LO_EXT_INPUT (clearance 8 (type wire_pin))
rule class _difpr_CM_LO_EXT_INPUT (clearance 7 (type wire_via))
rule class _difpr_LOVCO_OUTPUT_BALANCED (width 8)
rule class _difpr_LOVCO_OUTPUT_BALANCED (clearance 7 (type wire_wire))
rule class _difpr_LOVCO_OUTPUT_BALANCED (clearance 7 (type wire_smd))
rule class _difpr_LOVCO_OUTPUT_BALANCED (clearance 8 (type wire_pin))
rule class _difpr_LOVCO_OUTPUT_BALANCED (clearance 7 (type wire_via))
rule class _difpr_CM_LO_OUTPUT (width 8)
rule class _difpr_CM_LO_OUTPUT (clearance 7 (type wire_wire))
rule class _difpr_CM_LO_OUTPUT (clearance 7 (type wire_smd))
rule class _difpr_CM_LO_OUTPUT (clearance 8 (type wire_pin))
rule class _difpr_CM_LO_OUTPUT (clearance 7 (type wire_via))
rule class _difpr_CLKPLL_REF_INPUT (width 27)
rule class _difpr_CLKPLL_REF_INPUT (clearance 5 (type wire_wire))
rule class _difpr_CLKPLL_REF_INPUT (clearance 5 (type wire_smd))
rule class _difpr_CLKPLL_REF_INPUT (clearance 5 (type wire_via))
rule class _difpr_CLKPLL_REF_INPUT (clearance 15 (type bbvia_area))
rule class _difpr_CLKPLL_REF_INPUT (clearance 15 (type nhole_area))
rule class _difpr_CLKPLL_VCO_INPUT (width 8)
rule class _difpr_CLKPLL_VCO_INPUT (clearance 7 (type wire_wire))
rule class _difpr_CLKPLL_VCO_INPUT (clearance 7 (type wire_smd))
rule class _difpr_CLKPLL_VCO_INPUT (clearance 8 (type wire_pin))
rule class _difpr_CLKPLL_VCO_INPUT (clearance 7 (type wire_via))
rule class _difpr_CM_CLK_EXT_INPUT (width 8)
rule class _difpr_CM_CLK_EXT_INPUT (clearance 7 (type wire_wire))
rule class _difpr_CM_CLK_EXT_INPUT (clearance 7 (type wire_smd))
rule class _difpr_CM_CLK_EXT_INPUT (clearance 8 (type wire_pin))
rule class _difpr_CM_CLK_EXT_INPUT (clearance 7 (type wire_via))
rule class _difpr_CLKVCO_OUTPUT_BALANCED (width 8)
rule class _difpr_CLKVCO_OUTPUT_BALANCED (clearance 7 (type wire_wire))
rule class _difpr_CLKVCO_OUTPUT_BALANCED (clearance 7 (type wire_smd))
rule class _difpr_CLKVCO_OUTPUT_BALANCED (clearance 8 (type wire_pin))
rule class _difpr_CLKVCO_OUTPUT_BALANCED (clearance 7 (type wire_via))
rule class _difpr_CM_CLK_OUTPUT (width 8)
rule class _difpr_CM_CLK_OUTPUT (clearance 7 (type wire_wire))
rule class _difpr_CM_CLK_OUTPUT (clearance 7 (type wire_smd))
rule class _difpr_CM_CLK_OUTPUT (clearance 8 (type wire_pin))
rule class _difpr_CM_CLK_OUTPUT (clearance 7 (type wire_via))
rule class _difpr_LOPLL_REF_INPUT (width 27)
rule class _difpr_LOPLL_REF_INPUT (clearance 5 (type wire_wire))
rule class _difpr_LOPLL_REF_INPUT (clearance 5 (type wire_smd))
rule class _difpr_LOPLL_REF_INPUT (clearance 5 (type wire_via))
rule class _difpr_LOPLL_REF_INPUT (clearance 15 (type bbvia_area))
rule class _difpr_LOPLL_REF_INPUT (clearance 15 (type nhole_area))
rule class _difpr_LOPLL_VCO_INPUT (width 8)
rule class _difpr_LOPLL_VCO_INPUT (clearance 7 (type wire_wire))
rule class _difpr_LOPLL_VCO_INPUT (clearance 7 (type wire_smd))
rule class _difpr_LOPLL_VCO_INPUT (clearance 8 (type wire_pin))
rule class _difpr_LOPLL_VCO_INPUT (clearance 7 (type wire_via))

################################################################################
# rule assignments for class layer clearances                                  #
################################################################################

################################################################################
# rule assignments for net clearances                                          #
################################################################################
rule net CLKVCO_OUTPUT_UNBAL_DC (width 16)
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 5 (type buried_via_gap))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 8 (type wire_wire))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 8 (type wire_smd))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 8 (type wire_pin))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 5 (type wire_via))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 7.50 (type smd_smd))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 7.50 (type smd_pin))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 5 (type smd_via))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 8 (type pin_pin))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 5 (type pin_via))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 5 (type via_via))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 5 (type test_test))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 5 (type test_wire))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 5 (type test_smd))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 5 (type test_pin))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 5 (type test_via))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 5 (type microvia_microvia))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 5 (type microvia_thrupin))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 5 (type microvia_smdpin))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 5 (type microvia_thruvia))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 5 (type microvia_bbvia))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 5 (type microvia_wire))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 5 (type bbvia_bbvia))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 5 (type microvia_testpin))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 5 (type bbvia_thrupin))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 5 (type microvia_testvia))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 5 (type bbvia_smdpin))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 5 (type microvia_bondpad))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 5 (type bbvia_thruvia))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 15 (type microvia_area))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 5 (type bbvia_wire))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 7.99 (type nhole_pin))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 7.99 (type nhole_via))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 15 (type bbvia_area))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 8.99 (type nhole_wire))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 15 (type nhole_area))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 7.99 (type nhole_nhole))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 5 (type bbvia_testpin))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 5 (type bbvia_testvia))
rule net CLKVCO_OUTPUT_UNBAL_DC (clearance 5 (type bbvia_bondpad))
rule net LOVCO_OUTPUT_UNBAL_DC (width 16)
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 5 (type buried_via_gap))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 8 (type wire_wire))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 8 (type wire_smd))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 8 (type wire_pin))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 5 (type wire_via))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 7.50 (type smd_smd))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 7.50 (type smd_pin))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 5 (type smd_via))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 8 (type pin_pin))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 5 (type pin_via))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 5 (type via_via))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 5 (type test_test))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 5 (type test_wire))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 5 (type test_smd))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 5 (type test_pin))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 5 (type test_via))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 5 (type microvia_microvia))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 5 (type microvia_thrupin))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 5 (type microvia_smdpin))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 5 (type microvia_thruvia))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 5 (type microvia_bbvia))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 5 (type microvia_wire))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 5 (type bbvia_bbvia))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 5 (type microvia_testpin))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 5 (type bbvia_thrupin))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 5 (type microvia_testvia))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 5 (type bbvia_smdpin))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 5 (type microvia_bondpad))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 5 (type bbvia_thruvia))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 15 (type microvia_area))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 5 (type bbvia_wire))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 7.99 (type nhole_pin))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 7.99 (type nhole_via))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 15 (type bbvia_area))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 8.99 (type nhole_wire))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 15 (type nhole_area))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 7.99 (type nhole_nhole))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 5 (type bbvia_testpin))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 5 (type bbvia_testvia))
rule net LOVCO_OUTPUT_UNBAL_DC (clearance 5 (type bbvia_bondpad))
rule net LOVCO_OUTPUT_UNBAL (width 16)
rule net LOVCO_OUTPUT_UNBAL (clearance 5 (type buried_via_gap))
rule net LOVCO_OUTPUT_UNBAL (clearance 8 (type wire_wire))
rule net LOVCO_OUTPUT_UNBAL (clearance 8 (type wire_smd))
rule net LOVCO_OUTPUT_UNBAL (clearance 8 (type wire_pin))
rule net LOVCO_OUTPUT_UNBAL (clearance 5 (type wire_via))
rule net LOVCO_OUTPUT_UNBAL (clearance 7.50 (type smd_smd))
rule net LOVCO_OUTPUT_UNBAL (clearance 7.50 (type smd_pin))
rule net LOVCO_OUTPUT_UNBAL (clearance 5 (type smd_via))
rule net LOVCO_OUTPUT_UNBAL (clearance 8 (type pin_pin))
rule net LOVCO_OUTPUT_UNBAL (clearance 5 (type pin_via))
rule net LOVCO_OUTPUT_UNBAL (clearance 5 (type via_via))
rule net LOVCO_OUTPUT_UNBAL (clearance 5 (type test_test))
rule net LOVCO_OUTPUT_UNBAL (clearance 5 (type test_wire))
rule net LOVCO_OUTPUT_UNBAL (clearance 5 (type test_smd))
rule net LOVCO_OUTPUT_UNBAL (clearance 5 (type test_pin))
rule net LOVCO_OUTPUT_UNBAL (clearance 5 (type test_via))
rule net LOVCO_OUTPUT_UNBAL (clearance 5 (type microvia_microvia))
rule net LOVCO_OUTPUT_UNBAL (clearance 5 (type microvia_thrupin))
rule net LOVCO_OUTPUT_UNBAL (clearance 5 (type microvia_smdpin))
rule net LOVCO_OUTPUT_UNBAL (clearance 5 (type microvia_thruvia))
rule net LOVCO_OUTPUT_UNBAL (clearance 5 (type microvia_bbvia))
rule net LOVCO_OUTPUT_UNBAL (clearance 5 (type microvia_wire))
rule net LOVCO_OUTPUT_UNBAL (clearance 5 (type bbvia_bbvia))
rule net LOVCO_OUTPUT_UNBAL (clearance 5 (type microvia_testpin))
rule net LOVCO_OUTPUT_UNBAL (clearance 5 (type bbvia_thrupin))
rule net LOVCO_OUTPUT_UNBAL (clearance 5 (type microvia_testvia))
rule net LOVCO_OUTPUT_UNBAL (clearance 5 (type bbvia_smdpin))
rule net LOVCO_OUTPUT_UNBAL (clearance 5 (type microvia_bondpad))
rule net LOVCO_OUTPUT_UNBAL (clearance 5 (type bbvia_thruvia))
rule net LOVCO_OUTPUT_UNBAL (clearance 15 (type microvia_area))
rule net LOVCO_OUTPUT_UNBAL (clearance 5 (type bbvia_wire))
rule net LOVCO_OUTPUT_UNBAL (clearance 7.99 (type nhole_pin))
rule net LOVCO_OUTPUT_UNBAL (clearance 7.99 (type nhole_via))
rule net LOVCO_OUTPUT_UNBAL (clearance 15 (type bbvia_area))
rule net LOVCO_OUTPUT_UNBAL (clearance 8.99 (type nhole_wire))
rule net LOVCO_OUTPUT_UNBAL (clearance 15 (type nhole_area))
rule net LOVCO_OUTPUT_UNBAL (clearance 7.99 (type nhole_nhole))
rule net LOVCO_OUTPUT_UNBAL (clearance 5 (type bbvia_testpin))
rule net LOVCO_OUTPUT_UNBAL (clearance 5 (type bbvia_testvia))
rule net LOVCO_OUTPUT_UNBAL (clearance 5 (type bbvia_bondpad))
rule net CLKVCO_OUTPUT_UNBAL (width 16)
rule net CLKVCO_OUTPUT_UNBAL (clearance 5 (type buried_via_gap))
rule net CLKVCO_OUTPUT_UNBAL (clearance 8 (type wire_wire))
rule net CLKVCO_OUTPUT_UNBAL (clearance 8 (type wire_smd))
rule net CLKVCO_OUTPUT_UNBAL (clearance 8 (type wire_pin))
rule net CLKVCO_OUTPUT_UNBAL (clearance 5 (type wire_via))
rule net CLKVCO_OUTPUT_UNBAL (clearance 7.50 (type smd_smd))
rule net CLKVCO_OUTPUT_UNBAL (clearance 7.50 (type smd_pin))
rule net CLKVCO_OUTPUT_UNBAL (clearance 5 (type smd_via))
rule net CLKVCO_OUTPUT_UNBAL (clearance 8 (type pin_pin))
rule net CLKVCO_OUTPUT_UNBAL (clearance 5 (type pin_via))
rule net CLKVCO_OUTPUT_UNBAL (clearance 5 (type via_via))
rule net CLKVCO_OUTPUT_UNBAL (clearance 5 (type test_test))
rule net CLKVCO_OUTPUT_UNBAL (clearance 5 (type test_wire))
rule net CLKVCO_OUTPUT_UNBAL (clearance 5 (type test_smd))
rule net CLKVCO_OUTPUT_UNBAL (clearance 5 (type test_pin))
rule net CLKVCO_OUTPUT_UNBAL (clearance 5 (type test_via))
rule net CLKVCO_OUTPUT_UNBAL (clearance 5 (type microvia_microvia))
rule net CLKVCO_OUTPUT_UNBAL (clearance 5 (type microvia_thrupin))
rule net CLKVCO_OUTPUT_UNBAL (clearance 5 (type microvia_smdpin))
rule net CLKVCO_OUTPUT_UNBAL (clearance 5 (type microvia_thruvia))
rule net CLKVCO_OUTPUT_UNBAL (clearance 5 (type microvia_bbvia))
rule net CLKVCO_OUTPUT_UNBAL (clearance 5 (type microvia_wire))
rule net CLKVCO_OUTPUT_UNBAL (clearance 5 (type bbvia_bbvia))
rule net CLKVCO_OUTPUT_UNBAL (clearance 5 (type microvia_testpin))
rule net CLKVCO_OUTPUT_UNBAL (clearance 5 (type bbvia_thrupin))
rule net CLKVCO_OUTPUT_UNBAL (clearance 5 (type microvia_testvia))
rule net CLKVCO_OUTPUT_UNBAL (clearance 5 (type bbvia_smdpin))
rule net CLKVCO_OUTPUT_UNBAL (clearance 5 (type microvia_bondpad))
rule net CLKVCO_OUTPUT_UNBAL (clearance 5 (type bbvia_thruvia))
rule net CLKVCO_OUTPUT_UNBAL (clearance 15 (type microvia_area))
rule net CLKVCO_OUTPUT_UNBAL (clearance 5 (type bbvia_wire))
rule net CLKVCO_OUTPUT_UNBAL (clearance 7.99 (type nhole_pin))
rule net CLKVCO_OUTPUT_UNBAL (clearance 7.99 (type nhole_via))
rule net CLKVCO_OUTPUT_UNBAL (clearance 15 (type bbvia_area))
rule net CLKVCO_OUTPUT_UNBAL (clearance 8.99 (type nhole_wire))
rule net CLKVCO_OUTPUT_UNBAL (clearance 15 (type nhole_area))
rule net CLKVCO_OUTPUT_UNBAL (clearance 7.99 (type nhole_nhole))
rule net CLKVCO_OUTPUT_UNBAL (clearance 5 (type bbvia_testpin))
rule net CLKVCO_OUTPUT_UNBAL (clearance 5 (type bbvia_testvia))
rule net CLKVCO_OUTPUT_UNBAL (clearance 5 (type bbvia_bondpad))

################################################################################
# SAMENET CLEARANCE RULES                                                      #
################################################################################
# rule assignments for PCB clearances                                          #
################################################################################
rule PCB (clearance -1 same_net (type wire_wire))
rule PCB (clearance -1 same_net (type wire_smd))
rule PCB (clearance -1 same_net (type wire_pin))
rule PCB (clearance -1 same_net (type wire_via))
rule PCB (clearance -1 same_net (type smd_smd))
rule PCB (clearance -1 same_net (type smd_pin))
rule PCB (clearance -1 same_net (type smd_via))
rule PCB (clearance -1 same_net (type pin_pin))
rule PCB (clearance -1 same_net (type pin_via))
rule PCB (clearance -1 same_net (type via_via))
rule PCB (clearance -1 same_net (type test_test))
rule PCB (clearance -1 same_net (type test_wire))
rule PCB (clearance -1 same_net (type test_smd))
rule PCB (clearance -1 same_net (type test_pin))
rule PCB (clearance -1 same_net (type test_via))
rule PCB (clearance 0 same_net (type area_wire))
rule PCB (clearance 0 same_net (type area_smd))
rule PCB (clearance 0 same_net (type area_area))
rule PCB (clearance 0 same_net (type area_pin))
rule PCB (clearance 0 same_net (type area_via))
rule PCB (clearance 0 same_net (type area_test))

rule PCB (clearance 5 same_net (type microvia_microvia))
set microvia_microvia same_net off
rule PCB (clearance 5 same_net (type microvia_thrupin))
set microvia_thrupin same_net off
rule PCB (clearance 5 same_net (type microvia_smdpin))
set microvia_smdpin same_net off
rule PCB (clearance 5 same_net (type microvia_thruvia))
set microvia_thruvia same_net off
rule PCB (clearance 5 same_net (type microvia_bbvia))
set microvia_bbvia same_net off
rule PCB (clearance 0 same_net (type microvia_wire))
set microvia_wire same_net off
rule PCB (clearance 5 same_net (type microvia_testpin))
set microvia_testpin same_net off
rule PCB (clearance 5 same_net (type microvia_testvia))
set microvia_testvia same_net off
rule PCB (clearance 5 same_net (type microvia_bondpad))
set microvia_bondpad same_net off
rule PCB (clearance 5 same_net (type microvia_area))
set microvia_area same_net off
rule PCB (clearance 7.99 same_net (type nhole_pin))
set nhole_pin same_net off
rule PCB (clearance 7.99 same_net (type nhole_via))
set nhole_via same_net off
rule PCB (clearance 0 same_net (type nhole_wire))
set nhole_wire same_net off
rule PCB (clearance 7.99 same_net (type nhole_area))
set nhole_area same_net off
rule PCB (clearance 7.99 same_net (type nhole_nhole))
set nhole_nhole same_net off
rule PCB (clearance 5 same_net (type bbvia_bbvia))
set bbvia_bbvia same_net off
rule PCB (clearance 5 same_net (type bbvia_thrupin))
set bbvia_thrupin same_net off
rule PCB (clearance 5 same_net (type bbvia_smdpin))
set bbvia_smdpin same_net off
rule PCB (clearance 5 same_net (type bbvia_thruvia))
set bbvia_thruvia same_net off
rule PCB (clearance 0 same_net (type bbvia_wire))
set bbvia_wire same_net off
rule PCB (clearance 5 same_net (type bbvia_area))
set bbvia_area same_net off
rule PCB (clearance 5 same_net (type bbvia_testpin))
set bbvia_testpin same_net off
rule PCB (clearance 5 same_net (type bbvia_testvia))
set bbvia_testvia same_net off
rule PCB (clearance 5 same_net (type bbvia_bondpad))
set bbvia_bondpad same_net off

################################################################################
# rule assignments for class clearances                                        #
################################################################################

################################################################################
# rule assignments for class layer clearances                                  #
################################################################################

################################################################################
# rule assignments for net clearances                                          #
################################################################################

################################################################################
# WIRING RULES                                                                 #
################################################################################

################################################################################
# rule assignments for pcb wiring                                              #
################################################################################
rule pcb (tjunction on)(junction_type all)
rule pcb (staggered_via on (min_gap 5))

################################################################################
# rule assignments for layer wiring                                            #
################################################################################

################################################################################
# rule assignments for class wiring                                            #
################################################################################
rule class _difpr_CM_REF_INPUT (tjunction on)(junction_type all)
rule class _difpr_CM_REF_INPUT (staggered_via on (min_gap 5))
circuit class _difpr_CM_REF_INPUT (use_via TH0_2C0_38C TH0_55C0_8C )
rule class _difpr_CM_LO_EXT_INPUT (tjunction on)(junction_type all)
rule class _difpr_CM_LO_EXT_INPUT (staggered_via on (min_gap 5))
circuit class _difpr_CM_LO_EXT_INPUT (use_via TH0_2C0_38C TH0_55C0_8C )
rule class _difpr_LOVCO_OUTPUT_BALANCED (tjunction on)(junction_type all)
rule class _difpr_LOVCO_OUTPUT_BALANCED (staggered_via on (min_gap 5))
circuit class _difpr_LOVCO_OUTPUT_BALANCED (use_via TH0_2C0_38C TH0_55C0_8C )
rule class _difpr_CM_LO_OUTPUT (tjunction on)(junction_type all)
rule class _difpr_CM_LO_OUTPUT (staggered_via on (min_gap 5))
circuit class _difpr_CM_LO_OUTPUT (use_via TH0_2C0_38C TH0_55C0_8C )
rule class _difpr_CLKPLL_REF_INPUT (tjunction on)(junction_type all)
rule class _difpr_CLKPLL_REF_INPUT (staggered_via on (min_gap 5))
circuit class _difpr_CLKPLL_REF_INPUT (use_via TH0_2C0_38C TH0_55C0_8C )
rule class _difpr_CLKPLL_VCO_INPUT (tjunction on)(junction_type all)
rule class _difpr_CLKPLL_VCO_INPUT (staggered_via on (min_gap 5))
circuit class _difpr_CLKPLL_VCO_INPUT (use_via TH0_2C0_38C TH0_55C0_8C )
rule class _difpr_CM_CLK_EXT_INPUT (tjunction on)(junction_type all)
rule class _difpr_CM_CLK_EXT_INPUT (staggered_via on (min_gap 5))
circuit class _difpr_CM_CLK_EXT_INPUT (use_via TH0_2C0_38C TH0_55C0_8C )
rule class _difpr_CLKVCO_OUTPUT_BALANCED (tjunction on)(junction_type all)
rule class _difpr_CLKVCO_OUTPUT_BALANCED (staggered_via on (min_gap 5))
circuit class _difpr_CLKVCO_OUTPUT_BALANCED (use_via TH0_2C0_38C TH0_55C0_8C )
rule class _difpr_CM_CLK_OUTPUT (tjunction on)(junction_type all)
rule class _difpr_CM_CLK_OUTPUT (staggered_via on (min_gap 5))
circuit class _difpr_CM_CLK_OUTPUT (use_via TH0_2C0_38C TH0_55C0_8C )
rule class _difpr_LOPLL_REF_INPUT (tjunction on)(junction_type all)
rule class _difpr_LOPLL_REF_INPUT (staggered_via on (min_gap 5))
circuit class _difpr_LOPLL_REF_INPUT (use_via TH0_2C0_38C TH0_55C0_8C )
rule class _difpr_LOPLL_VCO_INPUT (tjunction on)(junction_type all)
rule class _difpr_LOPLL_VCO_INPUT (staggered_via on (min_gap 5))
circuit class _difpr_LOPLL_VCO_INPUT (use_via TH0_2C0_38C TH0_55C0_8C )

################################################################################
# rule assignments for net wiring                                              #
################################################################################
rule net CLKVCO_OUTPUT_UNBAL_DC (tjunction on)(junction_type all)
rule net CLKVCO_OUTPUT_UNBAL_DC (staggered_via on (min_gap 5))
circuit net CLKVCO_OUTPUT_UNBAL_DC (use_via TH0_2C0_38C TH0_55C0_8C )
rule net LOVCO_OUTPUT_UNBAL_DC (tjunction on)(junction_type all)
rule net LOVCO_OUTPUT_UNBAL_DC (staggered_via on (min_gap 5))
circuit net LOVCO_OUTPUT_UNBAL_DC (use_via TH0_2C0_38C TH0_55C0_8C )
rule net LOVCO_OUTPUT_UNBAL (tjunction on)(junction_type all)
rule net LOVCO_OUTPUT_UNBAL (staggered_via on (min_gap 5))
circuit net LOVCO_OUTPUT_UNBAL (use_via TH0_2C0_38C TH0_55C0_8C )
rule net CLKVCO_OUTPUT_UNBAL (tjunction on)(junction_type all)
rule net CLKVCO_OUTPUT_UNBAL (staggered_via on (min_gap 5))
circuit net CLKVCO_OUTPUT_UNBAL (use_via TH0_2C0_38C TH0_55C0_8C )
################################################################################
# VIA_AT_SMD RULES                                                            #
################################################################################
rule pcb (via_at_smd off)
rule PCB (turn_under_pad off)

################################################################################
# PROPERTIES                                                                   #
################################################################################

################################################################################
# TIMING RULES                                                                 #
################################################################################

################################################################################
# rule assignments for class timing                                            #
################################################################################

################################################################################
# rule assignments for class layer timing                                      #
################################################################################

################################################################################
# rule assignments for layer timing                                            #
################################################################################
rule layer TOP (restricted_layer_length_factor 1)
rule layer BOTTOM (restricted_layer_length_factor 1)

################################################################################
# Shielding RULES                                                              #
################################################################################

################################################################################
# NOISE RULES                                                                  #
################################################################################

################################################################################
# rule assignments for class layer noise                                       #
################################################################################

################################################################################
# rule assignments for class noise                                             #
################################################################################

################################################################################
# rule assignments for net noise                                               #
################################################################################

################################################################################
# XTALK RULES                                                                  #
################################################################################

################################################################################
# rule assignments for net xtalk                                               #
################################################################################

################################################################################
# Diff Pair RULES                                                              #
################################################################################

################################################################################
# rule assignments for class diff pair                                         #
################################################################################
rule class _difpr_CM_REF_INPUT (diffpair_line_width 8)
rule class _difpr_CM_REF_INPUT (neck_down_gap 40)
rule class _difpr_CM_REF_INPUT (neck_down_width 8)
rule class _difpr_CM_REF_INPUT (min_line_spacing 5)
define (drcv_group _DRgrp_CM_REF_INPUT_N
 (drcv U8-2 C91-2 )
)
define (drcv_group _DRgrp_CM_REF_INPUT_P
 (drcv U7-2 C89-2 )
)
define (drcv_groupset _DRgrpset_CM_REF_INPUT_N_CM_REF_INPUT_P _DRgrp_CM_REF_INPUT_N _DRgrp_CM_REF_INPUT_P)
#forget drcv_groupset _DRgrpset_CM_REF_INPUT_N_CM_REF_INPUT_P
rule class _difpr_CM_LO_EXT_INPUT (diffpair_line_width 8)
rule class _difpr_CM_LO_EXT_INPUT (neck_down_gap 40)
rule class _difpr_CM_LO_EXT_INPUT (neck_down_width 8)
rule class _difpr_CM_LO_EXT_INPUT (min_line_spacing 5)
define (drcv_group _DRgrp_CM_LO_EXT_INPUT_N
 (drcv U10-2 C170-2 )
)
define (drcv_group _DRgrp_CM_LO_EXT_INPUT_P
 (drcv U9-2 C166-2 )
)
define (drcv_groupset _DRgrpset_CM_LO_EXT_INPUT_N_CM_LO_EXT_INPUT_P _DRgrp_CM_LO_EXT_INPUT_N _DRgrp_CM_LO_EXT_INPUT_P)
#forget drcv_groupset _DRgrpset_CM_LO_EXT_INPUT_N_CM_LO_EXT_INPUT_P
rule class _difpr_LOVCO_OUTPUT_BALANCED (diffpair_line_width 8)
rule class _difpr_LOVCO_OUTPUT_BALANCED (neck_down_gap 40)
rule class _difpr_LOVCO_OUTPUT_BALANCED (neck_down_width 8)
rule class _difpr_LOVCO_OUTPUT_BALANCED (min_line_spacing 5)
define (drcv_group _DRgrp_LOVCO_OUTPUT_BALANCED_N
 (drcv C140-1 U32-1 )
)
define (drcv_group _DRgrp_LOVCO_OUTPUT_BALANCED_P
 (drcv C143-1 U32-2 )
)
define (drcv_groupset _DRgrpset_LOVCO_OUTPUT_BALANCED_N_LOVCO_OUTPUT_BALANCED_P _DRgrp_LOVCO_OUTPUT_BALANCED_N _DRgrp_LOVCO_OUTPUT_BALANCED_P)
#forget drcv_groupset _DRgrpset_LOVCO_OUTPUT_BALANCED_N_LOVCO_OUTPUT_BALANCED_P
rule class _difpr_CM_LO_OUTPUT (diffpair_line_width 8)
rule class _difpr_CM_LO_OUTPUT (neck_down_gap 40)
rule class _difpr_CM_LO_OUTPUT (neck_down_width 8)
rule class _difpr_CM_LO_OUTPUT (min_line_spacing 5)
define (drcv_group _DRgrp_CM_LO_OUTPUT_N
 (drcv U14-2 C176-1 )
)
define (drcv_group _DRgrp_CM_LO_OUTPUT_P
 (drcv U13-2 C180-1 )
)
define (drcv_groupset _DRgrpset_CM_LO_OUTPUT_N_CM_LO_OUTPUT_P _DRgrp_CM_LO_OUTPUT_N _DRgrp_CM_LO_OUTPUT_P)
#forget drcv_groupset _DRgrpset_CM_LO_OUTPUT_N_CM_LO_OUTPUT_P
rule class _difpr_CLKPLL_REF_INPUT (diffpair_line_width 27)
rule class _difpr_CLKPLL_REF_INPUT (neck_down_gap 40)
rule class _difpr_CLKPLL_REF_INPUT (neck_down_width 8)
rule class _difpr_CLKPLL_REF_INPUT (min_line_spacing 5)
define (drcv_group _DRgrp_CLKPLL_REF_INPUT_N
 (drcv C94-1 U1-28 )
)
define (drcv_group _DRgrp_CLKPLL_REF_INPUT_P
 (drcv C93-1 U1-27 )
)
define (drcv_groupset _DRgrpset_CLKPLL_REF_INPUT_N_CLKPLL_REF_INPUT_P _DRgrp_CLKPLL_REF_INPUT_N _DRgrp_CLKPLL_REF_INPUT_P)
#forget drcv_groupset _DRgrpset_CLKPLL_REF_INPUT_N_CLKPLL_REF_INPUT_P
rule class _difpr_CLKPLL_VCO_INPUT (diffpair_line_width 8)
rule class _difpr_CLKPLL_VCO_INPUT (neck_down_gap 40)
rule class _difpr_CLKPLL_VCO_INPUT (neck_down_width 8)
rule class _difpr_CLKPLL_VCO_INPUT (min_line_spacing 5)
define (drcv_group _DRgrp_CLKPLL_VCO_INPUT_N
 (drcv C174-1 U1-16 )
)
define (drcv_group _DRgrp_CLKPLL_VCO_INPUT_P
 (drcv C178-1 U1-15 )
)
define (drcv_groupset _DRgrpset_CLKPLL_VCO_INPUT_N_CLKPLL_VCO_INPUT_P _DRgrp_CLKPLL_VCO_INPUT_N _DRgrp_CLKPLL_VCO_INPUT_P)
#forget drcv_groupset _DRgrpset_CLKPLL_VCO_INPUT_N_CLKPLL_VCO_INPUT_P
rule class _difpr_CM_CLK_EXT_INPUT (diffpair_line_width 8)
rule class _difpr_CM_CLK_EXT_INPUT (neck_down_gap 40)
rule class _difpr_CM_CLK_EXT_INPUT (neck_down_width 8)
rule class _difpr_CM_CLK_EXT_INPUT (min_line_spacing 5)
define (drcv_group _DRgrp_CM_CLK_EXT_INPUT_N
 (drcv U12-2 C169-2 )
)
define (drcv_group _DRgrp_CM_CLK_EXT_INPUT_P
 (drcv U11-2 C165-2 )
)
define (drcv_groupset _DRgrpset_CM_CLK_EXT_INPUT_N_CM_CLK_EXT_INPUT_P _DRgrp_CM_CLK_EXT_INPUT_N _DRgrp_CM_CLK_EXT_INPUT_P)
#forget drcv_groupset _DRgrpset_CM_CLK_EXT_INPUT_N_CM_CLK_EXT_INPUT_P
rule class _difpr_CLKVCO_OUTPUT_BALANCED (diffpair_line_width 8)
rule class _difpr_CLKVCO_OUTPUT_BALANCED (neck_down_gap 40)
rule class _difpr_CLKVCO_OUTPUT_BALANCED (neck_down_width 8)
rule class _difpr_CLKVCO_OUTPUT_BALANCED (min_line_spacing 5)
define (drcv_group _DRgrp_CLKVCO_OUTPUT_BALANCED_N
 (drcv C137-1 U31-5 )
)
define (drcv_group _DRgrp_CLKVCO_OUTPUT_BALANCED_P
 (drcv C141-1 U31-6 )
)
define (drcv_groupset _DRgrpset_CLKVCO_OUTPUT_BALANCED_N_CLKVCO_OUTPUT_BALANCED_P _DRgrp_CLKVCO_OUTPUT_BALANCED_N _DRgrp_CLKVCO_OUTPUT_BALANCED_P)
#forget drcv_groupset _DRgrpset_CLKVCO_OUTPUT_BALANCED_N_CLKVCO_OUTPUT_BALANCED_P
rule class _difpr_CM_CLK_OUTPUT (diffpair_line_width 8)
rule class _difpr_CM_CLK_OUTPUT (neck_down_gap 40)
rule class _difpr_CM_CLK_OUTPUT (neck_down_width 8)
rule class _difpr_CM_CLK_OUTPUT (min_line_spacing 5)
define (drcv_group _DRgrp_CM_CLK_OUTPUT_N
 (drcv U16-2 C177-1 )
)
define (drcv_group _DRgrp_CM_CLK_OUTPUT_P
 (drcv U15-2 C173-1 )
)
define (drcv_groupset _DRgrpset_CM_CLK_OUTPUT_N_CM_CLK_OUTPUT_P _DRgrp_CM_CLK_OUTPUT_N _DRgrp_CM_CLK_OUTPUT_P)
#forget drcv_groupset _DRgrpset_CM_CLK_OUTPUT_N_CM_CLK_OUTPUT_P
rule class _difpr_LOPLL_REF_INPUT (diffpair_line_width 27)
rule class _difpr_LOPLL_REF_INPUT (neck_down_gap 40)
rule class _difpr_LOPLL_REF_INPUT (neck_down_width 8)
rule class _difpr_LOPLL_REF_INPUT (min_line_spacing 5)
define (drcv_group _DRgrp_LOPLL_REF_INPUT_N
 (drcv C96-1 U33-28 )
)
define (drcv_group _DRgrp_LOPLL_REF_INPUT_P
 (drcv C95-1 U33-27 )
)
define (drcv_groupset _DRgrpset_LOPLL_REF_INPUT_N_LOPLL_REF_INPUT_P _DRgrp_LOPLL_REF_INPUT_N _DRgrp_LOPLL_REF_INPUT_P)
#forget drcv_groupset _DRgrpset_LOPLL_REF_INPUT_N_LOPLL_REF_INPUT_P
rule class _difpr_LOPLL_VCO_INPUT (diffpair_line_width 8)
rule class _difpr_LOPLL_VCO_INPUT (neck_down_gap 40)
rule class _difpr_LOPLL_VCO_INPUT (neck_down_width 8)
rule class _difpr_LOPLL_VCO_INPUT (min_line_spacing 5)
define (drcv_group _DRgrp_LOPLL_VCO_INPUT_N
 (drcv C179-1 U33-16 )
)
define (drcv_group _DRgrp_LOPLL_VCO_INPUT_P
 (drcv C175-1 U33-15 )
)
define (drcv_groupset _DRgrpset_LOPLL_VCO_INPUT_N_LOPLL_VCO_INPUT_P _DRgrp_LOPLL_VCO_INPUT_N _DRgrp_LOPLL_VCO_INPUT_P)
#forget drcv_groupset _DRgrpset_LOPLL_VCO_INPUT_N_LOPLL_VCO_INPUT_P

################################################################################
# rule assignments for group diff pair                                         #
################################################################################

# end of do file